corodefs.h File Reference
`#include <netinet/in.h>`
Include dependency graph for corodefs.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | PROCESSOR_COUNT_MAX 384
#define | TOTEMIP_ADDRLEN (sizeof(struct in6_addr))

## Enumerations

enum | corosync_service_types { CMAP_SERVICE = 0 , CFG_SERVICE = 1 , CPG_SERVICE = 2 , QUORUM_SERVICE = 3 , PLOAD_SERVICE = 4 , VOTEQUORUM_SERVICE = 5 , MON_SERVICE = 6 , WD_SERVICE = 7 }
| The corosync_service_types enum. More...

## Macro Definition Documentation

## PROCESSOR_COUNT_MAX

#define PROCESSOR_COUNT_MAX 384

Definition at line 57 of file corodefs.h.

## TOTEMIP_ADDRLEN

#define TOTEMIP_ADDRLEN (sizeof(struct in6_addr))

Definition at line 60 of file corodefs.h.

## Enumeration Type Documentation

## corosync_service_types

enum corosync_service_types

The corosync_service_types enum.

Enumerator
CMAP_SERVICE |
CFG_SERVICE |
CPG_SERVICE |
QUORUM_SERVICE |
PLOAD_SERVICE |
VOTEQUORUM_SERVICE |
MON_SERVICE |
WD_SERVICE |

Definition at line 43 of file corodefs.h.